org.kie.internal.builder.conf

## Enum RuleEngineOption

- java.lang.Object
- - java.lang.Enum<RuleEngineOption>
  - - org.kie.internal.builder.conf.RuleEngineOption

- All Implemented Interfaces:
    Serializable, Comparable<RuleEngineOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption

      public enum RuleEngineOption
      extends Enum<RuleEngineOption>
      implements org.kie.api.conf.SingleValueKieBaseOption

  An Enum for switching between Phreak and Reteoo algorithms.

       drools.ruleEngine = <phreak|reteoo>

  DEFAULT = phreak.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PHREAK`
    `RETEOO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the L and R Unlinking option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleEngineOption` | `determineOption(String val)`
    `String` | `getPropertyName()`
    `boolean` | `isLRUnlinkingEnabled()`
    `String` | `toString()`
    `static RuleEngineOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RuleEngineOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PHREAK

          public static final RuleEngineOption PHREAK

    - #### RETEOO

          public static final RuleEngineOption RETEOO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the L and R Unlinking option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static RuleEngineOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleEngineOption c : RuleEngineOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleEngineOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isLRUnlinkingEnabled

          public boolean isLRUnlinkingEnabled()

    - #### determineOption

          public static RuleEngineOption determineOption(String val)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RuleEngineOption>`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.